package org.security.ht.feign;

import org.springblade.core.tool.api.R;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.GetMapping;

import java.util.Map;

/**
 * @Author: qxqx
 * @Create: 2022/8/26
 * @Description:
 */
@Component
public class IHtClientFallback implements IHtClient {

	@Override
	@GetMapping(UPDATE_STATE_BY_ID)
	public R updateStateById(String serviceBeanName, String id, String state) {
		return R.fail("远程调用失败");
	}

	@Override
	@GetMapping(SEND_ALARM_NOTICE)
	public R sendAlarmNotice(String answerAlarmId) {
		return R.fail("远程调用失败");
	}

	@Override
	@GetMapping(SEND_SCC_CHECK_NOTICE)
	public R sendSccCheckNotice(String sccCheckId) {
		return R.fail("远程调用失败");
	}

	@Override
	public R afterFlowFinished(String serviceBeanName, String id, Boolean pass, Map<String, Object> variables) {
		return R.fail("远程调用失败");
	}
}
